package com.ruoyi.common.core.domain.model;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 用户注册对象
 * 
 * @author ruoyi
 */
@Data
public class BarUserRegisterVO
{

    @NotBlank(message = "昵称不能为空")
    private String nickName;

    @NotBlank(message = "酒吧logo不能为空")
    private String barLogo;

    @NotBlank(message = "手机号码不能为空")
    private String phone;

    @NotBlank(message = "酒吧名称不能为空")
    private String barName;

    @NotBlank(message = "酒吧地址不能为空")
    private String address;

    @NotBlank(message = "营业执照不能为空")
    private String businessLicense;

    //门头照
    @NotBlank(message = "门头照不能为空")
    private String storefrontPhoto;

    //职务
    private String position;

    @NotBlank(message = "openId不能为空")
    private String openId;

    @NotNull(message = "纬度不能为空")
    private Double latitude;  // 纬度

    @NotNull(message = "经度不能为空")
    private Double longitude;  // 经度
}
